# Yahoo! UI Library

### yuitest 2.6.0

Yahoo! UI Library > yuitest > YAHOO.util.UnexpectedValue

Show Private Show Protected Show Deprecated

## Class YAHOO.util.UnexpectedValue - extends YAHOO.util.AssertionError

UnexpectedValue is subclass of AssertionError that is thrown whenever a value was unexpected in its scope. This typically means that a test was performed to determine that a value was *not* equal to a certain value.

### Constructor

YAHOO.util.UnexpectedValue `( message , unexpected )`

Parameters:
  `message <String>` The message to display when the error occurs.
  `unexpected <Object>` The unexpected value.

### Properties

#### name `- String`

The name of the error that occurred.

#### unexpected `- Object`

The unexpected value.

#### Properties inherited from YAHOO.util.AssertionError:

`name`

### Methods

#### getMessage

`String getMessage ( )`
Returns a fully formatted error for an assertion failure. The message contains information about the unexpected value that was encountered.

Returns: `String`
  A string describing the error.

#### Methods inherited from YAHOO.util.AssertionError:

`getMessage, toString, valueOf`

Copyright © 2008 Yahoo! Inc. All rights reserved.